Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004254TestLinkAPI - XMLRPCpublic2011-02-17 21:362015-04-29 21:06
Reporterannb 
Assigned Tofman 
PrioritynoneSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0004254: test suites for project api request
DescriptionIn the UI, I select a project, then Specification.

I would like an API that returns the test suites for a project like the UI. I have a project id.

then I would like to walk the results suite and child suite tree using the API.
Steps To ReproducePython Example:

data = {"devKey":devKey, "testprojectid":1}
testSuites = server.tl.getProjectTestSuites(data)

for suite in testSuites:
     data = {"devKey":devKey, "testsuiteid":suite["id"]}
     testSuites = server.tl.getSuiteChildSuites(data)
TagsNo tags attached.
Database (MySQL,Postgres,etc)?
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0004255closedfman search API request 

-  Notes
(0013670)
fman (administrator)
2011-02-17 23:07

see issue 4255 for dev team comments
(0023271)
Mr.Bricodage (updater)
2015-04-29 21:03

getFirstLevelTestSuitesForTestProject + getTestSuitesForTestSuite are implemented in 1.9.14

=> can be closed, resolved

- Issue History
Date Modified Username Field Change
2011-02-17 21:36 annb New Issue
2011-02-17 23:07 fman Note Added: 0013670
2011-02-17 23:08 fman Priority high => none
2012-06-15 21:35 fman Relationship added related to 0004255
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2015-04-29 21:02 Mr.Bricodage Relationship added child of 0007083
2015-04-29 21:03 Mr.Bricodage Note Added: 0023271
2015-04-29 21:06 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-04-29 21:06 fman Status new => closed
2015-04-29 21:06 fman Assigned To => fman
2015-04-29 21:06 fman Resolution open => fixed
2015-04-29 21:06 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-04-29 21:39 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker